# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
dyn{{ identifier }}:
  description: a dynamic family
  dynamic:
    - val1
    - val2
  hidden:
    jinja: |
      {% if suffix == 'val2' %}
      disabled
      {% endif %}
    params:
      suffix:
        type: identifier
    description: if suffix == 'val2'

  var:
    description: a variable
    mandatory: false
  family:  # a family
    var:
      description: a new variable
      mandatory: false
```
┏━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┓
┃                                                                                                          [1mVariables for "Rougail"[0m                                                                                                           ┃
┗━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┛


                                                                                                               [1;4ma dynamic family[0m                                                                                                               

[1;36;40mstandard[0m [1;3;36;40mhidden[0m                                                                                                                                                                                                                               

[1mHidden[0m: if suffix == 'val2'.                                                                                                                                                                                                                  

This family builds families dynamically.                                                                                                                                                                                                      

[1mIdentifiers[0m:                                                                                                                                                                                                                                  

[1;33m • [0mval1                                                                                                                                                                                                                                       
[1;33m • [0mval2                                                                                                                                                                                                                                       



                                                           
 [1m [0m[1mVariable                  [0m[1m [0m [1m [0m[1mDescription               [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mrougail.dyn[0m[1;3mval1[0m[1m.var[0m                                      
  [1mrougail.dyn[0m[1;3mval2[0m[1m.var[0m                                      
  [1;36;40mstring[0m [1;36;40mstandard[0m              A variable.                 
                                                           

                                                                                                                   [1ma family[0m                                                                                                                   

[1;36;40mstandard[0m                                                                                                                                                                                                                                      



                                                                         
 [1m [0m[1mVariable                         [0m[1m [0m [1m [0m[1mDescription                      [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mrougail.dyn[0m[1;3mval1[0m[1m.family.var[0m                                             
  [1mrougail.dyn[0m[1;3mval2[0m[1m.family.var[0m                                             
  [1;36;40mstring[0m [1;36;40mstandard[0m                     A new variable.                    
                                                                         
