# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
var:  # a suffix variable
  - val1
  - val2

'{{ identifier }}_dyn':
  description: a dynamic family
  dynamic:
    variable: _.var
  var1:
    description: value is suffix
    default:
      type: identifier
  var2:
    description: value is first variable
    default:
      variable: rougail.{{ identifier }}_dyn.var1
  var3:
    description: value is relative first variable
    default:
      variable: _.var1
  var4:
    description: value is first variable of val1
    default:
      variable: rougail.val1_dyn.var1
```
┏━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┓
┃                                                                                                          [1mVariables for "Rougail"[0m                                                                                                           ┃
┗━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┛



                                                                                                               
 [1m [0m[1mVariable                                            [0m[1m [0m [1m [0m[1mDescription                                         [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mrougail.var[0m                                                                                                  
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m [1;36;40munique[0m [1;36;40mmultiple[0m              A suffix variable.                                    
  [1mDefault[0m:                                                                                                     
                                                                                                               

[1;33m • [0mval1                                                                                                                                                                                                                                       
[1;33m • [0mval2                                                                                                                                                                                                                                       
[1;33m   [0m|                                                                                                                                                                                                                                          


                                                                                                               [1;4ma dynamic family[0m                                                                                                               

[1;36;40mstandard[0m                                                                                                                                                                                                                                      

This family builds families dynamically.                                                                                                                                                                                                      

[1mIdentifiers[0m: the value of the variable "rougail.var".                                                                                                                                                                                         







                                                                                                                                       
 [1m [0m[1mVariable                                                        [0m[1m [0m [1m [0m[1mDescription                                                     [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mrougail.[0m[1;3mval1[0m[1m_dyn.var1[0m                                                                                                                
  [1mrougail.[0m[1;3mval2[0m[1m_dyn.var1[0m                                                                                                                
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m                                          Value is suffix.                                                  
  [1mDefault[0m: the value of the identifier.                                                                                                
  [1mrougail.[0m[1;3mval1[0m[1m_dyn.var2[0m                                                                                                                
  [1mrougail.[0m[1;3mval2[0m[1m_dyn.var2[0m                                                                                                                
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m                                          Value is first variable.                                          
  [1mDefault[0m:                                                                                                                             
                                                                                                                                       

[1;33m • [0mthe value of the variable "rougail.[3mval1[0m_dyn.var1"                                                                                                                                                                                          
[1;33m • [0mthe value of the variable "rougail.[3mval2[0m_dyn.var1"                                                                                                                                                                                          
[1;33m   [0m| | [1mrougail.[0m[1;3mval1[0m[1m_dyn.var3[0m [1mrougail.[0m[1;3mval2[0m[1m_dyn.var3[0m [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m                                                                                                                                                                  
[1;33m   [0m| Value is relative first variable. [1mDefault[0m:                                                                                                                                                                                               
[1;33m • [0mthe value of the variable "rougail.[3mval1[0m_dyn.var1"                                                                                                                                                                                          
[1;33m • [0mthe value of the variable "rougail.[3mval2[0m_dyn.var1"                                                                                                                                                                                          
[1;33m   [0m| | [1mrougail.[0m[1;3mval1[0m[1m_dyn.var4[0m [1mrougail.[0m[1;3mval2[0m[1m_dyn.var4[0m [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m                                                                                                                                                                  
[1;33m   [0m| Value is first variable of val1. [1mDefault[0m: the value of the variable "rougail.val1_dyn.var1".                                                                                                                                             
[1;33m   [0m|                                                                                                                                                                                                                                          
