# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
var:  # A identifier variable
  - val1
  - val2
dyn{{ identifier }}:
  description: A dynamic family
  dynamic:
    variable: _.var
  var:
    description: A dynamic variable
    multi: true
    default:
      jinja: |
        {% for val in __.var %}
        t{{ val }}
        {% endfor %}
      description: add 't' to each var value
  dyn_{{ identifier }}:
    description: a Second dynamic variable
    dynamic:
      variable: rougail.dyn{{ identifier }}.var
    var:
      description: A variable dynamic
      default:
        type: identifier
    var_identifier:
      description: identifier from first family
      default:
        type: identifier
        identifier: 0
    var_identifiers:
      description: merge identifiers
      default:
        jinja: |
          {{ s1 }}-{{ s2 }}
        params:
          s1:
            type: identifier
            identifier: 0
          s2:
            type: identifier
            identifier: 1
        description: join identifier 1 et identifier 2
```
┏━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┓
┃                                                                                                          [1mVariables for "Rougail"[0m                                                                                                           ┃
┗━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┛



                                                                                                               
 [1m [0m[1mVariable                                            [0m[1m [0m [1m [0m[1mDescription                                         [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mrougail.var[0m                                                                                                  
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m [1;36;40munique[0m [1;36;40mmultiple[0m              A identifier variable.                                
  [1mDefault[0m:                                                                                                     
                                                                                                               

[1;33m • [0mval1                                                                                                                                                                                                                                       
[1;33m • [0mval2                                                                                                                                                                                                                                       
[1;33m   [0m|                                                                                                                                                                                                                                          


                                                                                                               [1;4mA dynamic family[0m                                                                                                               

[1;36;40mstandard[0m                                                                                                                                                                                                                                      

This family builds families dynamically.                                                                                                                                                                                                      

[1mIdentifiers[0m: the value of the variable "rougail.var".                                                                                                                                                                                         




                                                                                                               
 [1m [0m[1mVariable                                            [0m[1m [0m [1m [0m[1mDescription                                         [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mrougail.dyn[0m[1;3mval1[0m[1m.var[0m                                                                                          
  [1mrougail.dyn[0m[1;3mval2[0m[1m.var[0m                                                                                          
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m [1;36;40munique[0m [1;36;40mmultiple[0m              A dynamic variable.                                   
  [1mDefault[0m: add 't' to each var value.                                                                          
                                                                                                               

                                                                                                          [1ma Second dynamic variable[0m                                                                                                           

[1;36;40mstandard[0m                                                                                                                                                                                                                                      

This family builds families dynamically.                                                                                                                                                                                                      

[1mIdentifiers[0m:                                                                                                                                                                                                                                  

[1;33m • [0mthe value of the variable "rougail.dyn[3mval1[0m.var"                                                                                                                                                                                            
[1;33m • [0mthe value of the variable "rougail.dyn[3mval2[0m.var"                                                                                                                                                                                            
















                                                                                                               
 [1m [0m[1mVariable                                            [0m[1m [0m [1m [0m[1mDescription                                         [0m[1m [0m 
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  [1mrougail.dyn[0m[1;3mval1[0m[1m.dyn_[0m[1;3mtval1[0m[1m.var[0m                                                                                
  [1mrougail.dyn[0m[1;3mval1[0m[1m.dyn_[0m[1;3mtval2[0m[1m.var[0m                                                                                
  [1mrougail.dyn[0m[1;3mval2[0m[1m.dyn_[0m[1;3mtval1[0m[1m.var[0m                                                                                
  [1mrougail.dyn[0m[1;3mval2[0m[1m.dyn_[0m[1;3mtval2[0m[1m.var[0m                                                                                
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m                              A variable dynamic.                                   
  [1mDefault[0m: the value of the identifier.                                                                        
  [1mrougail.dyn[0m[1;3mval1[0m[1m.dyn_[0m[1;3mtval1[0m[1m.var_identifier[0m                                                                     
  [1mrougail.dyn[0m[1;3mval1[0m[1m.dyn_[0m[1;3mtval2[0m[1m.var_identifier[0m                                                                     
  [1mrougail.dyn[0m[1;3mval2[0m[1m.dyn_[0m[1;3mtval1[0m[1m.var_identifier[0m                                                                     
  [1mrougail.dyn[0m[1;3mval2[0m[1m.dyn_[0m[1;3mtval2[0m[1m.var_identifier[0m                                                                     
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m                              Identifier from first family.                         
  [1mDefault[0m: the value of the identifier.                                                                        
  [1mrougail.dyn[0m[1;3mval1[0m[1m.dyn_[0m[1;3mtval1[0m[1m.var_identifiers[0m                                                                    
  [1mrougail.dyn[0m[1;3mval1[0m[1m.dyn_[0m[1;3mtval2[0m[1m.var_identifiers[0m                                                                    
  [1mrougail.dyn[0m[1;3mval2[0m[1m.dyn_[0m[1;3mtval1[0m[1m.var_identifiers[0m                                                                    
  [1mrougail.dyn[0m[1;3mval2[0m[1m.dyn_[0m[1;3mtval2[0m[1m.var_identifiers[0m                                                                    
  [1;36;40mstring[0m [1;36;40mstandard[0m [1;36;40mmandatory[0m                              Merge identifiers.                                    
  [1mDefault[0m: join identifier 1 et identifier 2.                                                                  
                                                                                                               
